DROP TABLE IF EXISTS main."sfm_annual";
CREATE TABLE "sfm_annual" (
"TechID"  TEXT,
"SizingID"  TEXT,
"BldgType"  TEXT,
"BldgVint"  TEXT,
"BldgLoc"  TEXT,
"BldgHVAC"  TEXT,
"tstat"  TEXT,
"normunit"  TEXT,
"numunits"  REAL,
"kwh_tot1"  REAL NOT NULL,
"kwh_ltg1"  REAL,
"kwh_task1"  REAL,
"kwh_equip1"  REAL,
"kwh_htg1"  REAL,
"kwh_clg1"  REAL,
"kwh_twr1"  REAL,
"kwh_aux1"  REAL,
"kwh_vent1"  REAL,
"kwh_venthtg1a"  REAL,
"kwh_ventclg1a"  REAL,
"kwh_venthtg1b"  REAL,
"kwh_ventclg1b"  REAL,
"kwh_refg1"  REAL,
"kwh_hpsup1"  REAL,
"kwh_shw1"  REAL,
"kwh_ext1"  REAL,
"thm_tot1"  REAL,
"thm_equip1"  REAL,
"thm_htg1"  REAL,
"thm_shw1"  REAL,
"kwh_tot2"  REAL NOT NULL,
"kwh_ltg2"  REAL,
"kwh_task2"  REAL,
"kwh_equip2"  REAL,
"kwh_htg2"  REAL,
"kwh_clg2"  REAL,
"kwh_twr2"  REAL,
"kwh_aux2"  REAL,
"kwh_vent2"  REAL,
"kwh_venthtg2a"  REAL,
"kwh_ventclg2a"  REAL,
"kwh_venthtg2b"  REAL,
"kwh_ventclg2b"  REAL,
"kwh_refg2"  REAL,
"kwh_hpsup2"  REAL,
"kwh_shw2"  REAL,
"kwh_ext2"  REAL,
"thm_tot2"  REAL,
"thm_equip2"  REAL,
"thm_htg2"  REAL,
"thm_shw2"  REAL,
"lastmod"  TEXT
);

DROP TABLE IF EXISTS main."sfm_hourly_eu";
CREATE TABLE "sfm_hourly_eu" (
"TechID"  TEXT,
"SizingID"  TEXT,
"BldgType"  TEXT,
"BldgVint"  TEXT,
"BldgLoc"  TEXT,
"BldgHVAC"  TEXT,
"tstat"  TEXT,
"enduse"  TEXT,
"daynum"  INTEGER,
"hr01a"  REAL,
"hr02a"  REAL,
"hr03a"  REAL,
"hr04a"  REAL,
"hr05a"  REAL,
"hr06a"  REAL,
"hr07a"  REAL,
"hr08a"  REAL,
"hr09a"  REAL,
"hr10a"  REAL,
"hr11a"  REAL,
"hr12a"  REAL,
"hr13a"  REAL,
"hr14a"  REAL,
"hr15a"  REAL,
"hr16a"  REAL,
"hr17a"  REAL,
"hr18a"  REAL,
"hr19a"  REAL,
"hr20a"  REAL,
"hr21a"  REAL,
"hr22a"  REAL,
"hr23a"  REAL,
"hr24a"  REAL,
"hr01b"  REAL,
"hr02b"  REAL,
"hr03b"  REAL,
"hr04b"  REAL,
"hr05b"  REAL,
"hr06b"  REAL,
"hr07b"  REAL,
"hr08b"  REAL,
"hr09b"  REAL,
"hr10b"  REAL,
"hr11b"  REAL,
"hr12b"  REAL,
"hr13b"  REAL,
"hr14b"  REAL,
"hr15b"  REAL,
"hr16b"  REAL,
"hr17b"  REAL,
"hr18b"  REAL,
"hr19b"  REAL,
"hr20b"  REAL,
"hr21b"  REAL,
"hr22b"  REAL,
"hr23b"  REAL,
"hr24b"  REAL,
"lastmod"  TEXT
);

DROP TABLE IF EXISTS main."sfm_hourly_wb";
CREATE TABLE "sfm_hourly_wb" (
"TechID"  TEXT,
"SizingID"  TEXT,
"BldgType"  TEXT,
"BldgVint"  TEXT,
"BldgLoc"  TEXT,
"BldgHVAC"  TEXT,
"tstat"  TEXT,
"enduse"  TEXT,
"daynum"  INTEGER,
"hr01a"  REAL,
"hr02a"  REAL,
"hr03a"  REAL,
"hr04a"  REAL,
"hr05a"  REAL,
"hr06a"  REAL,
"hr07a"  REAL,
"hr08a"  REAL,
"hr09a"  REAL,
"hr10a"  REAL,
"hr11a"  REAL,
"hr12a"  REAL,
"hr13a"  REAL,
"hr14a"  REAL,
"hr15a"  REAL,
"hr16a"  REAL,
"hr17a"  REAL,
"hr18a"  REAL,
"hr19a"  REAL,
"hr20a"  REAL,
"hr21a"  REAL,
"hr22a"  REAL,
"hr23a"  REAL,
"hr24a"  REAL,
"hr01b"  REAL,
"hr02b"  REAL,
"hr03b"  REAL,
"hr04b"  REAL,
"hr05b"  REAL,
"hr06b"  REAL,
"hr07b"  REAL,
"hr08b"  REAL,
"hr09b"  REAL,
"hr10b"  REAL,
"hr11b"  REAL,
"hr12b"  REAL,
"hr13b"  REAL,
"hr14b"  REAL,
"hr15b"  REAL,
"hr16b"  REAL,
"hr17b"  REAL,
"hr18b"  REAL,
"hr19b"  REAL,
"hr20b"  REAL,
"hr21b"  REAL,
"hr22b"  REAL,
"hr23b"  REAL,
"hr24b"  REAL,
"lastmod"  TEXT
);



DROP TABLE IF EXISTS main."sim_annual";
CREATE TABLE "sim_annual" (
"TechID"  TEXT,
"SizingID"  TEXT,
"BldgType"  TEXT,
"BldgVint"  TEXT,
"BldgLoc"  TEXT,
"BldgHVAC"  TEXT,
"tstat"  TEXT,
"normunit"  TEXT,
"numunits"  REAL,
"measarea"  REAL,
"kwh_tot"  REAL,
"kwh_ltg"  REAL,
"kwh_task"  REAL,
"kwh_equip"  REAL,
"kwh_htg"  REAL,
"kwh_clg"  REAL,
"kwh_twr"  REAL,
"kwh_aux"  REAL,
"kwh_vent"  REAL,
"kwh_venthtg"  REAL,
"kwh_ventclg"  REAL,
"kwh_refg"  REAL,
"kwh_hpsup"  REAL,
"kwh_shw"  REAL,
"kwh_ext"  REAL,
"thm_tot"  REAL,
"thm_equip"  REAL,
"thm_htg"  REAL,
"thm_shw"  REAL,
"deskw_ltg"  REAL,
"deskw_equ"  REAL,
"lastmod"  TEXT
);

DROP TABLE IF EXISTS main."sim_hourly_eu";
CREATE TABLE "sim_hourly_eu" (
"TechID"  TEXT,
"SizingID"  TEXT,
"BldgType"  TEXT,
"BldgVint"  TEXT,
"BldgLoc"  TEXT,
"BldgHVAC"  TEXT,
"tstat"  TEXT,
"enduse"  TEXT,
"daynum"  INTEGER,
"hr01"  REAL,
"hr02"  REAL,
"hr03"  REAL,
"hr04"  REAL,
"hr05"  REAL,
"hr06"  REAL,
"hr07"  REAL,
"hr08"  REAL,
"hr09"  REAL,
"hr10"  REAL,
"hr11"  REAL,
"hr12"  REAL,
"hr13"  REAL,
"hr14"  REAL,
"hr15"  REAL,
"hr16"  REAL,
"hr17"  REAL,
"hr18"  REAL,
"hr19"  REAL,
"hr20"  REAL,
"hr21"  REAL,
"hr22"  REAL,
"hr23"  REAL,
"hr24"  REAL,
"lastmod"  TEXT
);

DROP TABLE IF EXISTS main."sim_hourly_wb";
CREATE TABLE "sim_hourly_wb" (
"TechID"  TEXT,
"SizingID"  TEXT,
"BldgType"  TEXT,
"BldgVint"  TEXT,
"BldgLoc"  TEXT,
"BldgHVAC"  TEXT,
"tstat"  TEXT,
"enduse"  TEXT,
"daynum"  INTEGER,
"hr01"  REAL,
"hr02"  REAL,
"hr03"  REAL,
"hr04"  REAL,
"hr05"  REAL,
"hr06"  REAL,
"hr07"  REAL,
"hr08"  REAL,
"hr09"  REAL,
"hr10"  REAL,
"hr11"  REAL,
"hr12"  REAL,
"hr13"  REAL,
"hr14"  REAL,
"hr15"  REAL,
"hr16"  REAL,
"hr17"  REAL,
"hr18"  REAL,
"hr19"  REAL,
"hr20"  REAL,
"hr21"  REAL,
"hr22"  REAL,
"hr23"  REAL,
"hr24"  REAL,
"lastmod"  TEXT
);

DROP TABLE IF EXISTS main."sim_sizdat";
CREATE TABLE "sim_sizdat" (
"TechID"  TEXT,
"BldgType"  TEXT,
"BldgVint"  TEXT,
"BldgLoc"  TEXT,
"BldgHVAC"  TEXT,
"tstat"  TEXT,
"ParamID"  TEXT,
"ParamVal"  TEXT,
"lastmod"  DATETIME NOT NULL ON CONFLICT REPLACE DEFAULT CURRENT_TIMESTAMP
);

